curl --request GET \
--url https://api.example.com/api/items/{id}/receipts \
--header 'Authorization: <authorization>' \
--header 'organization-id: <organization-id>'import requests
url = "https://api.example.com/api/items/{id}/receipts"
headers = {
"Authorization": "<authorization>",
"organization-id": "<organization-id>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<authorization>', 'organization-id': '<organization-id>'}
};
fetch('https://api.example.com/api/items/{id}/receipts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"receiptId": 123,
"receipNumber": "RCPT-2024-001",
"referenceNumber": "REF-2024-001",
"receiptDate": "2024-06-01",
"formattedReceiptDate": "01/06/2024",
"amount": 1000,
"formattedAmount": "$1,000.00",
"quantity": 10,
"formattedQuantity": "10",
"rate": 100,
"formattedRate": "$100.00",
"customerDisplayName": "John Doe",
"customerCurrencyCode": "USD"
}Retrieves the item associated receipts transactions.
Headers
Value must be 'Bearer ' where is an API key prefixed with 'bc_' or a JWT token.
"Bearer bc_1234567890abcdef"
Required if Authorization is a JWT token. The organization ID to operate within.
Path Parameters
The item id
Response
The item associated receipts transactions have been successfully retrieved.
The unique identifier of the receipt.
123
The receipt number.
"RCPT-2024-001"
The reference number for the receipt.
"REF-2024-001"
The date of the receipt.
"2024-06-01"
The formatted date of the receipt.
"01/06/2024"
The amount for the receipt.
1000
The formatted amount for the receipt.
"$1,000.00"
The quantity of items in the receipt.
10
The formatted quantity of items in the receipt.
"10"
The rate per item in the receipt.
100
The formatted rate per item in the receipt.
"$100.00"
The display name of the customer.
"John Doe"
The currency code of the customer.
"USD"